%------------------------------------

%---------------------------------------------------------------------------
% Abstract

\chapter*{Abstract}
\addcontentsline{toc}{chapter}{Abstract} 
Robotic systems are complex in nature as behaviors emerge from an intertwining of software architectures deployed on hardware platforms. In the robotics community changes of soft- and hardware components are common in the design process. Assessment of the effect of behavior performance of such a change is not trivial to evaluate rigorously, especially on a per-hardware-component level. Nonetheless it is important to assess repercussions in a reproducible way so to determine the impact of 
``small changes" on the overall system performance. To do so, given a robot, an environment and a task have to be defined. An experimental protocol is introduced and performance metrics defined. Experiments are then performed with different soft- and hardware configurations and benchmarked.
%\vspace{5mm}\\
%For example the Duckietown platform has seen several generations of new hardware versions and even more prototypes created by the community. Until now the performance of new hardware or the difference between different production rounds has not been tested yet.
%During the last four years, Duckietown developed from a ambitious project to a fully functional, worldwide operating community. It provides a platform for schools and universities. From small project and fun challenges up to complex city infrastructures running a complete fleet of robots, localization system, obstacle detection, auto charging, etc. as well as competitions use this platform. Multiple thesis and papers were created using Duckietown as the research platform. Having existed for so long Duckietown has seen several generations of new hardware and even more prototypes created by the community. Until now the performance of new hardware or the difference between different production rounds has not been tested yet.   
\vspace{5mm}\\
\textbf{The goal of this thesis} is to develop performance metrics with which the performance of mobile robots will be assessed. This will help comparing different hardware configurations against each other as well as possibly detecting possible errors in hardware setups. The Duckietown platform forms the basis on which this benchmark will be built.
\vspace{9cm}\\
All used repositories and documentation:
\\Backend: \url{https://github.com/duckietown/dt-hardware-benchmark-backend}
\\Frontend: \url{https://github.com/duckietown/dt-hardware-benchmark-frontend}
\\CLI: \url{https://github.com/duckietown/duckietown-shell-commands/tree/daffy-benchmark/benchmark}
\\Documentation, Demo: \url{https://docs.duckietown.org/daffy/opmanual_developer/out/hw_benchmark_intro.html}
\cleardoublepage

%---------------------------------------------------------------------------
% Table of contents

 \setcounter{tocdepth}{3}
 \tableofcontents

 \cleardoublepage

 
%---------------------------------------------------------------------------
